##  for PCLinuxOS  ##

%define ver 20170722
%define rel 1.nora17
%define _fontdir /usr/share/fonts/TTF/japanese-monapo

Name:    fonts-ttf-japanese-monapo
Summary: Monapo Font
Summary(ja): Monapo フォント
Version: %{ver}
Release: %{rel}
Group:   System/Fonts/True type
License: IPA Font License v1.0
URL:     http://www.geocities.jp/ep3797/modified_fonts_01.html#monapo
Source0: https://osdn.net/downloads/users/13/13586/monapo-%{version}.tar.bz2

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
#BuildRequires: mkfontdir mkfontscale
Provides: monapo

%description
"Monapo" font is a combined font that uses ipagp.otf and mona.ttf.
It has almost same width as MS P Gothic, so it can show Japanese Ascii Art properly.

%description -l ja
Monapoフォントは、IPA Pゴシックフォント と モナーフォント を組み合わせて作成されたものです。
MS Pゴシックフォント とほぼ同じ字幅となっており、アスキーアートを表示するのに適しています。


%prep
%setup -q -n monapo-%{version}

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_fontdir}
install -p -m 644 monapo.ttf $RPM_BUILD_ROOT%{_fontdir}
#mkfontscale $RPM_BUILD_ROOT%{_fontdir}
#mkfontdir $RPM_BUILD_ROOT%{_fontdir}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/
ln -s ../../..%{_fontdir} $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/ttf-japanese-monapo:pri=50


%files
%defattr(-,root,root)
%doc README ChangeLog
%{_fontdir}/monapo.ttf
#%%{_fontdir}/fonts.dir
#%%{_fontdir}/fonts.scale
%{_sysconfdir}/X11/fontpath.d/ttf-japanese-monapo:pri=50


%changelog
* Wed Jul 26 2017 tomcat <> 20170722-1
- update to 20170722
- remove %%post and %%postun section
- drop BR:mkfontdir,mkfontscale

* Tue Sep 29 2009 tomcat <> 20090423-2nora09
- fix %%post and %%postun section

* Fri Sep 25 2009 tomcat <> 20090423-1nora09
- initial build for PCLinuxOS
